Name: ovmd
Version: 3.7
Release: 3%{?dist}
Summary: Oracle VM guest daemon
License: GPL
Group: System Environment/Daemons
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libovmapi-devel >= 3.0
BuildRequires: systemd
%{?systemd_requires}
Requires: libovmapi >= 3.0
Requires: ovm-template-config >= 3.0

%description
Oracle VM guest daemon.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post ovmd.service ovm-template-initial-config.service

%preun
%systemd_preun ovmd.service ovm-template-initial-config.service

%postun
%systemd_postun

%files
%defattr(-,root,root)
%doc COPYING
%config %{_sysconfdir}/sysconfig/ovmd
%config %{_sysconfdir}/sysconfig/ovm-template-initial-config
%{_sbindir}/ovmd
%{_sbindir}/ovm-template-initial-config
%{_unitdir}/ovmd.service
%{_unitdir}/ovm-template-initial-config.service
%{_presetdir}/91-ovmd.preset

%changelog
* Wed Mar 25 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-3.el7
- fix ovm-template-initial-config service hang issue.

* Thu Mar 19 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-2.el7
- start ovm template initial configure service after postfix

* Mon Dec 01 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-1.el7
- port for ol7

